The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> fchdir - change working directory

#### SYNOPSIS

> ``[XSI] #include <unistd.h>
> int fchdir(int` fildes`);``
> `
> `

#### DESCRIPTION

> The fchdir() function shall be equivalent to chdir() except that the directory that is to be the new current working directory is specified by the file descriptor fildes.

> A conforming application can obtain a file descriptor for a file of type directory using open(), provided that the file status flags and access modes do not contain O_WRONLY or O_RDWR.

#### RETURN VALUE

> Upon successful completion, fchdir() shall return 0. Otherwise, it shall return -1 and set errno to indicate the error. On failure the current working directory shall remain unchanged.

#### ERRORS

> The fchdir() function shall fail if:

> [EACCES]
>   Search permission is denied for the directory referenced by fildes.
> [EBADF]
>   The fildes argument is not an open file descriptor.
> [ENOTDIR]
>   The open file descriptor fildes does not refer to a directory.

> The fchdir() may fail if:

> [EINTR]
>   A signal was caught during the execution of fchdir().
> [EIO]
>   An I/O error occurred while reading from or writing to the file system.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> chdir(), the Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]